Bug 196610 - Do not persist repo just because project using it was opened
Do not persist repo just because project using it was opened
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Jesse Glick
issues@projects
: PLAN
Depends on: 201821 208903
Blocks: 190468 201463
  Show dependency treegraph
 
Reported: 2011-03-11 20:44 UTC by Jesse Glick
Modified: 2012-02-28 00:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-03-11 20:44:02 UTC
Currently any custom repository defined in a project is persisted when that project is opened. It will thereafter be displayed in Maven Repository Browser, searched, and indexed. This is undesirable for a repo used only in a demo project, or with a nonstandard ID or URL, etc.

While still permitting users to manually add custom repos, the IDE should only transiently display repos found in open projects. (Either remove them when the last referring project is closed, as with Hudson builders, or just do not persist across a restart.) Should also display plugin repos, which is not done now.

This should also permit the java.net2 and netbeans repo definitions to be removed; they will appear only when relevant. Thus only local and central would be registered by default. One catch is that the New Project wizard for NetBeans-related archetypes searches the netbeans repo for available versions, so this repo needs to be transiently added when the wizard runs, even before the project is opened.
Comment 1 Jesse Glick 2011-08-24 23:44:31 UTC
core-main #3990c03cdc65
Comment 2 Quality Engineering 2011-08-26 14:41:13 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/3990c03cdc65
User: Jesse Glick <jglick@netbeans.org>
Log: #196610: Do not persist repo just because project using it was opened


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo